Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

Superkaramba problem

Alles rund um die möglichen Desktopumgebungen wie KDE, Gnome, XFCE usw. die es unter Linux gibt

Moderator: Moderatoren

Gesperrt
eidde
Newbie
Newbie
Beiträge: 12
Registriert: 12. Mär 2005, 20:50

Superkaramba problem

Beitrag von eidde »

Bitte durchlesen!

Mein System AMD64, SuSE9.2 x86_64, KDE3.4rc1

Mein Problem:

Installation superkaramba-0.35

Code: Alles auswählen

alf@linux:~/superkaramba-0.35> ./configure --enable-libsuffix=64
...
...
checking for Python directory... /usr/local
checking for Python2.3... header /usr/include/python2.3 library no modules no
checking for Python2.2... header no library no modules no
checking for Python2.1... header no library no modules no
checking for Python2.0... header no library no modules no
checking for Python1.5... header no library no modules no
checking for libxmms... no
checking if doc should be compiled... yes
checking if po should be compiled... yes
checking if src should be compiled... yes
configure: creating ./config.status
fast creating Makefile
fast creating doc/Makefile
fast creating doc/en/Makefile
fast creating po/Makefile
fast creating src/Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands

Good - your configure finished. Start make now
soweit so gut

Code: Alles auswählen

alf@linux:~/superkaramba-0.35> make
...
...
In Datei, eingefügt von main.cpp:5:
karambaapp.h:14:20: Python.h: Datei oder Verzeichnis nicht gefunden
In Datei, eingefügt von main.cpp:19:
karamba.h:8:20: Python.h: Datei oder Verzeichnis nicht gefunden
In Datei, eingefügt von karamba.h:56,
                    von main.cpp:19:
imagelabel.h:26:20: Python.h: Datei oder Verzeichnis nicht gefunden
In Datei, eingefügt von main.cpp:22:
karamba_python.h:28:20: Python.h: Datei oder Verzeichnis nicht gefunden
In file included from main.cpp:22:
karamba_python.h:44: error: Syntaxfehler before `*' token
karamba_python.h:45: error: Syntaxfehler before `*' token
karamba_python.h:46: error: ISO C++ forbids declaration of `PyThreadState' with
   no type
karamba_python.h:46: error: Syntaxfehler before `*' token
karamba_python.h:48: error: `myThreadState' was not declared in this scope
karamba_python.h:48: error: invalid data member initialization
karamba_python.h:48: error: (use `=' to initialize static data members)
karamba_python.h:48: error: variable or field `getLock' declared void
karamba_python.h:49: error: Syntaxfehler before `*' token
karamba_python.h:50: error: `myThreadState' was not declared in this scope
karamba_python.h:50: error: invalid data member initialization
karamba_python.h:50: error: variable or field `releaseLock' declared void
karamba_python.h:51: error: type specifier omitted for parameter `PyObject'
karamba_python.h:51: error: Syntaxfehler before `*' token
make[3]: *** [main.o] Fehler 1
make[3]: Leaving directory `/home/alf/superkaramba-0.35/src'
make[2]: *** [all-recursive] Fehler 1
make[2]: Leaving directory `/home/alf/superkaramba-0.35/src'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/home/alf/superkaramba-0.35'
make: *** [all] Fehler 2
Ich habe verschidene Foren durchgesucht, leider keine Lösungen gefunden.

Am ende habe ich

Code: Alles auswählen

linux:/home/alf/superkaramba-0.35 # rpm -Uvh superkaramba-0.35-1.i586.rpm 
Superkaramba lauft aber bei laden von 'Liquid weather'

Code: Alles auswählen

alf@linux:~> superkaramba
Could not find platform independent libraries <prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
'import site' failed; use -v for traceback
superkaramba: TaskManager::TaskManager()
Traceback (most recent call last):
  File "/home/alf/Documents/karamba_themes/liquid_weather_plus/liquid_weather.py", line 13, in ?
    import os
ImportError: No module named os
------------------------------------------------------
What does ImportError mean?

It means that I couldn't load a python add-on for liquid_weather.theme
If this is a regular theme and doesn't use python
extensions, then nothing is wrong.
------------------------------------------------------
ist dieses Thema unsichtbar
Man kann mit rechte Maustaste Themen-popupmenue öffnen aber punkt 'Configure theme' ist nicht anwählbar. Sonst konnte ich 'Edit theme' und 'Edit script' wählen aber was bring mir das. Ich bin kein Python programmirer.

Was kann man machen?
Die 'Python-devel' ist installiert.

Heute habe ich Python2.4 installiert (/usr/local/)
Aufruf von Konsole

Code: Alles auswählen

alf@linux:~> python
Python 2.4 (#1, Mar 12 2005, 14:08:48)
[GCC 3.3.4 (pre 3.3.5 20040809)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>>
Wie und wo sag ich SuSE das ich das habe damit ./configure das weisst?

Ist das SuSE-64 Problem?
Früher habe ich SuSE9.1 32bit version und keine Probleme mit gehabt.
K4m1K4tz3
Advanced Hacker
Advanced Hacker
Beiträge: 987
Registriert: 19. Jan 2005, 13:54
Kontaktdaten:

Beitrag von K4m1K4tz3 »

Also ich würde an deiner stelle ein rpm Paket für ein SuSE 9.2 x86_64 System installieren.
Ich hatte auch das Problem mit dieser 32 Bit Software. Dann hab ich aber ein 64 Bit Paket gefunden und es hat alles funktioniert.

Das Paket gibts bei http://rpm.pbone.net/

Jedoch will die Seite zur Zeit mir nicht antworten, sonst hätte ich dir die ganze URl zur Datei geschrieben. :cry:
K4m1K4tz3
Advanced Hacker
Advanced Hacker
Beiträge: 987
Registriert: 19. Jan 2005, 13:54
Kontaktdaten:

Beitrag von K4m1K4tz3 »

eidde
Newbie
Newbie
Beiträge: 12
Registriert: 12. Mär 2005, 20:50

Beitrag von eidde »

Danke für die Antwort

Ich habe inzwischen das Problem gelöst

Ich habe kleine Änderrung in Datei 'configure' vorgenomen in Zeilen 25889 und 25892

Code: Alles auswählen

if test -z ""2.4""; then            # es war 2.3
  version="1.5"
else
  version=""2.4""                  # es war 2.3
Als nächste

Code: Alles auswählen

alf@linux:~/superkaramba-0.35> ./configure --with-pythondir=/usr/local/ --enable-libsuffix=64
'configure' hat dismall Python mit libraries gefunden.
'make' hat keine Fehler mehr gemeldet
'make install'

Karamba lauf mit Liquit weather ohne Probleme.

Ich bin nicht sicher aber ich habe schon einmall RPM für x86_64 ausprobiert und ich habe Fehlermeldung 'kdelibs <=3.3.99' bekommen.
Wie auch immer es lauft mit KDE 3.4 und Python2.4
Keepers
Advanced Hacker
Advanced Hacker
Beiträge: 1061
Registriert: 25. Jun 2004, 17:58
Wohnort: Hessen

Beitrag von Keepers »

Schoene Loesung :)
Gruß Keepers
Only time will tell - but who does listen?
Gesperrt